Package help

# Class ImageLocation

java.lang.Object
help.ImageLocation

public class ImageLocation extends Object
A class that represents the original location of an IMG tag along with its location resolution within the help system.

Some images are represented by 'in memory' or 'runtime' values that do not have a valid url.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImageLocation`
  `createInvalidRuntimeLocation(Path sourceFile, String imageSrc)`
  `static ImageLocation`
  `createLocalLocation(Path sourceFile, String imageSrc, URI resolvedUri, Path resolvedPath)`
  `static ImageLocation`
  `createRemoteLocation(Path sourceFile, String imageSrc, URI resolvedUri)`
  `static ImageLocation`
  `createRuntimeLocation(Path sourceFile, String imageSrc, URI resolvedUri, Path resolvedPath)`
  `String`
  `getImageSrc()`
  `Path`
  `getResolvedPath()`
  `URI`
  `getResolvedUri()`
  `Path`
  `getSourceFile()`
  `boolean`
  `isInvalidRuntimeImage()`
  `boolean`
  `isRemote()`
  `boolean`
  `isRuntime()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### createLocalLocation

    public static ImageLocation createLocalLocation(Path sourceFile, String imageSrc, URI resolvedUri, Path resolvedPath)

  - ### createRuntimeLocation

    public static ImageLocation createRuntimeLocation(Path sourceFile, String imageSrc, URI resolvedUri, Path resolvedPath)

  - ### createInvalidRuntimeLocation

    public static ImageLocation createInvalidRuntimeLocation(Path sourceFile, String imageSrc)

  - ### createRemoteLocation

    public static ImageLocation createRemoteLocation(Path sourceFile, String imageSrc, URI resolvedUri)

  - ### getSourceFile

    public Path getSourceFile()

  - ### getImageSrc

    public String getImageSrc()

  - ### getResolvedPath

    public Path getResolvedPath()

  - ### getResolvedUri

    public URI getResolvedUri()

  - ### isRemote

    public boolean isRemote()

  - ### isRuntime

    public boolean isRuntime()

  - ### isInvalidRuntimeImage

    public boolean isInvalidRuntimeImage()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`